Subject: Re: [PATCH net-next 0/5] igc: ethtool: Check VLAN TCI mask

From: Kurt Kanzenbach <[email-masked]>
Date: Wed, 29 Nov 2023 12:15:47 +0100

On Tue Nov 28 2023, Vinicius Costa Gomes wrote:
> Kurt Kanzenbach <[email-masked]> writes:
>
>> Hi,
>>
>> currently it is possible to configure receive queue assignment using the VLAN
>> TCI field with arbitrary masks. However, the hardware only supports steering
>> either by full TCI or the priority (PCP) field. In case a wrong mask is given by
>> the user the driver will silently convert it into a PCP filter which is not
>> desired. Therefore, add a check for it.
>>
>> Patches #1 to #4 are minor things found along the way.
>>
>
> Some very minor things: patches 2,3 and 4 have extra long lines in their
> commit messages that checkpatch.pl doesn't seem to like.

OK. checkpatch wants 75 chars per line. These patches have 80 set. I'll
adjust it.

>
> Patches 4 and 5 read more like fixes to me. I think they could be
> proposed to -net, as they contain fixes to user visible issues. Do you
> think that makes sense?

Probably yes. I'll sent them to -net instead. Fixes tags would be:

 - Patch 4: 2b477d057e33 ("igc: Integrate flex filter into ethtool ops")
 - Patch 5: 7991487ecb2d ("igc: Allow for Flex Filters to be installed")

>
> As for the code, feel free to add my Ack to the series:
>
> Acked-by: Vinicius Costa Gomes <[email-masked]>
>

Thanks,
Kurt